import { delete1 } from "./_delete1";
import { deleteMany } from "./_deleteMany";
import { pickup } from "./_pickup";
import { request } from "./_request";

export function registerItemCallbacks(socket){
    socket.on('item/pickup', (data) => {
        pickup(socket, data)
    });

    socket.on('item/delete', (data) => {
        delete1(socket, data)
    });

    socket.on('item/deleteMany', (data) => {
        deleteMany(socket, data)
    });

    socket.on('item/request', (data) => {
        request(socket, data)
    });
}