import { playerData } from "../Classes/playerData";
import { game } from "../game";

export function loadoutChanged(socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : playerData = JSON.parse(buff.toString('utf-8'));

    let player : playerData = socket.player
    player.inventory.weapon = data1.inventory.weapon
    player.inventory.equipment = data1.inventory.equipment
    player.validateEquipment()

    game.socketIO.emit("lobby/loadoutChanged", JSON.stringify(player))
}