import { loginResponse } from "../Classes/loginResponse";
import { playerData } from "../Classes/playerData";
import { userData } from "../Classes/userData";

export function emitLogin(socket, user : userData | null, player:playerData, registered:boolean = false){
    if(user != null){
        socket.emit("account/login", JSON.stringify(new loginResponse(true, user, player)));
        socket.user = user
        socket.player = player
        if(registered){
            console.log(`User ${(user as userData).login} registerd and logged in`);
        }
        else{
            console.log(`User ${(user as userData).login} logged in`);
        }
    }
    else{
        socket.emit("account/login", JSON.stringify(new loginResponse(false, null, null)));
        console.log("Login Failed");
    }
}