import { inventoryItemTransaction } from "../Classes/inventoryItemTransaction";
import { playerData } from "../Classes/playerData";

export function deleteMany(socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : inventoryItemTransaction[] = JSON.parse(buff.toString('utf-8'));

    let player : playerData = socket.player
    data1.forEach(t=>{
        switch(t.type){
            case 0:
                player.inventory.items.find(i=>i.id == t.itemId).count += t.amount;
                break;
            case 2:
                let item = player.inventory.items.findIndex(i=>i.id == t.itemId);
                player.inventory.items.splice(item, 1)
                break;
        }
    })
}