import { playerData } from "../Classes/playerData";

export function playerUpdate(socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : playerData = JSON.parse(buff.toString('utf-8'));

    let player : playerData = socket.player
    if(player == null){
        console.log("Error! Player not spawned!")
        return
    }
    
    player.room = data1.room
    player.rigidbody = data1.rigidbody
    player.damageInfo = player.damageInfo.concat(data1.damageInfo)
}